Bug 18966 - Detects 64meg RAM instead of the 256 installed
Detects 64meg RAM instead of the 256 installed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-12 11:34 EDT by Milton LeJeune
Modified: 2007-03-26 23:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-26 20:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milton LeJeune 2000-10-12 11:34:06 EDT
Hardware:
 A-Bit BE6 Motherboard, 256 MEG PC100 RAM, Nvidia Riva TNT2 (32meg)Video,
 2 each D-Link (Via Rhine) 10/100 ethernet, Adaptec 19160 SCSI(PCI)Cntrl,
 18gig Western Digital Ultra2 LVD, Acer IDE 44x CDROM, & Intel PIII 450mhz

Description:
 After an install ALL Version 7 install,using the graphical login the 
Gnome System information page shows 63820 total memory. Also /proc/meminfo 
shows only 63820 total.  The motherboard successfully counts all 256 meg. 
I have re-installed Caldera eDesktop 2.4 (to ensure there was not an 
hardware problem) and it reports 256 meg. Then re-installed version 7 
selecting only about 1gig worth of packages and once again Red Hat Gnome 
and KDE system info only show 64 meg of main memory when there is 256 meg 
installed.
Comment 1 Alan Cox 2000-10-14 13:43:56 EDT
This is a BIOS problem with E801 size reporting. There are patches to use the
E820 memory sizing scheme in 2.2 but they currently dont catch bioses that lie
about this and that can cause catastrophic disk corruption so we dont include
them.

You can use mem=255M on the boot line to tell Linux you have more memory. 2.4
kernels will address this issue properly.
Comment 2 Jeff Norden 2000-10-26 20:21:24 EDT
You can also fix this problem by getting the newest bios upgrade from abit
(www.abit-usa.com).  As I have just discovered, this problem occurs with the BF6
motherboard as well.

Note You need to log in before you can comment on or make changes to this bug.